/* Barre de navigation */

*{
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body{
    background-color: black;
}

h1, h2, h3, p, li, a{
    font-family: 'Roboto', sans-serif;
}

/* .logo{
    max-width: 9rem;
} */

ul{
    display: flex;
    list-style-type: none;
    align-items: center;
    justify-content: right;
}

/* .navigation > li:first-child{
    margin-left: 0;
    margin-right: auto;
} */

/* li{
    margin-right: 2rem;
} */

/* li > a{
    text-decoration: none;
    color: white;
    font-size: 1.3rem;
    transition-duration: 0.3s;
} */

li > a:hover{
    color: #74a7fa;
}

/* Projets */

h1{
    color: white;
    text-align: center;
    margin-top: 2rem;
    font-size: 3.5rem;
}

.projet-infos> ul{
    display: flex;
    flex-direction: column;
    margin-top: 8rem;
}

li{
    color: white;
    margin-bottom: 2rem;
    text-align: center;
}

video{
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.projet-texte{
    margin: auto;
    width: 60%;
}

.projet-texte > p > a{
    text-decoration: none;
    color: #74a7fa;
}

.projet-texte > p{
    text-align: center;
}

p{
    color: white;
    text-align: left;
    line-height: 2.5rem;
}

#palette-1{
    width: 50%;
}

#palette-1, #palette-polices{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 4rem;
}

.projet-images,.yuki-images{
    background-color: #181414;
}

h1{
    position: relative;
    top: 2rem;
    margin-bottom: 5rem;
    padding: 5rem;
}

.projet-images > img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5rem;
}

.usager-images > li > a > img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 60%;
}

.pleinAir-images > li > a > img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 60%;
}

/* Chambre isométrique */

#chambre-iso, #chambre-iso-2, #perla, #perla-2, #perla-croquis, #perla-logo, #perla-affiche, #allee-1, #allee-2, #allee-3, #allee-logos, #chambre, #glacia, #rista, #logo-rista, #lettre-motivation{
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#chambre-iso{
    max-width: 40%;
    margin-top: 6rem;
}

#chambre-iso-2{
    max-width: 30%;
    margin-top: 6rem;
}

#perla{
    max-width: 70%;
    margin-bottom: 10rem;
}

#perla-2{
    max-width: 40%;
    margin-bottom: 4rem;
}

#perla-croquis{
    max-width: 30%;
    margin-bottom: 1rem;
}

#perla-logo{
    max-width: 10%;
    margin-top: 4rem;
}

#perla-affiche{
    max-width: 30%;
    margin-top: 4rem;
}

#allee-1, #allee-2{
    max-width: 60%;
}

#allee-1{
    margin-bottom: 5rem;
}

#allee-3{
    margin-top: 4rem;
    max-width: 50%;
}

#allee-logos{
    margin-top: 3rem;
    max-width: 15%;
}

#chambre{
    margin-top: 5rem;
    max-width: 40%;
}

#glacia{
    margin-top: 6rem;
    max-width: 30%;
}

#rista{
    margin-top: 4rem;
    max-width: 50%;
}

#logo-rista{
    margin-top: 4rem;
    max-width: 20%;
}

iframe{
    max-width: 60%;
    margin-bottom: 10rem;
}

#lettre-motivation{
    max-width: 40%;
    margin-top: 4rem;
}

/* Guitare */

h3{
    text-align: center;
    color: white;
    font-weight: 100;
}

iframe{
    display: block;
    margin-left: auto;
    margin-right: auto;
}

/* footer */

footer{
    max-width: 100%;
}

/* footer > p, .footer-projets > p{
    text-align: center;
    margin-top: 2.5rem;
} 

.footer-liens{
    text-align: center;
    position: relative;
    top: 2rem;
}

.footer-liens a{
    text-decoration: none;
    color: white;
    font-size: 1.2rem;
    margin-left: 1rem;
}

.footer-liens a:hover{
    color: #74a7fa;
    transition-duration: 0.3s;
} */

/* Slideshow Administrateur */

* {box-sizing:border-box}

/* Slideshow container */
.slideshow-container {
  max-width: 40%;
  position: relative;
  margin: auto;
}

/* Hide the images by default */
.mySlides {
  display: none;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
  color: #f2f2f2;
  font-size: 15px;
  font-family: 'Roboto';
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
}

/* The dots/bullets/indicators */
.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #fff;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
  margin-top: 3rem;
  margin-bottom: 5rem;
}

.active, .dot:hover {
  background-color: #ec1c24;
}

/* Fading animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.5s;
  animation-name: fade;
  animation-duration: 1.5s;
}

@-webkit-keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

body, html {
    height: 100%;
}

/* The hero image */
.hero-quebec {
  /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("/images/pleinAir_cover.png");

  /* Set a specific height */
  height: 50%;

  /* Position and center the image to scale nicely on all screens */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

.hero-yuki {
  /* Use "linear-gradient" to add a darken background effect to the image (photographer.jpg). This will make the text easier to read */
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url("/images/yukiPalace_cover.png");

  /* Set a specific height */
  height: 50%;

  /* Position and center the image to scale nicely on all screens */
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
}

/* Place text in the middle of the image */
.hero-text {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: white;
}

.hero-quebec p, .hero-yuki p{
    text-align: center;
    position: relative;
    bottom: 110px;
}

.boutons{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-top: 6rem;
}

/* .prochain, .precedent{
    cursor: pointer;
    border-radius: 0.2rem;
    border: 1px solid white;
    color: white;
    background-color: transparent;
    text-decoration: none;
    padding: 10px 42px;
    outline: none;
    transition-duration: 0.3s;
} */

.prochain, .precedent{
    cursor: pointer;
    border-radius: 0.2rem;
    border: 1px solid white;
    color: white;
    background-color: transparent;
    text-decoration: none;
    padding: 10px 42px;
    outline: none;
    transition-duration: 0.3s;
    text-align: center;
}

/* .prochain{
    display: block;
    margin-left: auto;
    margin-right: 0;
    margin-right: 20rem;
    font-size: 0.9rem;
}

.precedent{
    display: block;
    margin-right: auto;
    margin-left: 0;
    margin-left: 20rem;
    font-size: 0.9rem;
} */

/* input[type=submit]:hover{
    background-color: white;
    color: black;
} */

.prochain:hover, .precedent:hover{
    background-color: white;
    color: black;
}

/* Positionnement des boutons précédent et prochain */

.precedent-anges, .precedent-animation, .precedent-avenir, .precedent-destin, .precedent-guitare, .precedent-imprevu, .precedent-pleinAir, .precedent-showreel, .precedent-yuki, .prochain-tranquilite{
    margin-right: 0.5rem;
}

.prochain-perla{
    position: relative;
    left: 3rem;
}

.prochain-allee{
    position: relative;
    left: 3rem;
}

.prochain-chambre{
    position: relative;
    left: 4.5rem;
}

.prochain-glacia{
    position: relative;
    left: 3.5rem;
}

.prochain-rista{
    position: relative;
    left: 3rem;
}

.prochain-lettre{
    position: relative;
    left: 8.5rem;
}

.precedent-lettre-1{
    position: relative;
    right: 1rem;
}

.precedent-glacia-1{
    position: relative;
    right: 0.5rem;
}

.precedent-chambre-iso{
    position: relative;
    right: 0.5rem;
}

.prochain-anges{
    position: relative;
    left: 3.5rem;
}

.prochain-animation{
    position: relative;
    left: 4rem;
}

.prochain-avenir{
    position: relative;
    left: 9rem;
}

.prochain-destin{
    position: relative;
    left: 6rem;
}

.prochain-guitare{
    position: relative;
    left: 3rem;
}

.prochain-imprevu{
    position: relative;
    left: 9rem;
}

.prochain-pleinAir{
    position: relative;
    left: 5.5rem;
}

.prochain-showreel{
    position: relative;
    left: 6rem;
}

.prochain-tranquilite{
    position: relative;
    left: 9rem;
}

.prochain-yuki{
    position: relative;
    left: 5rem;
}

.icon-right i{
    position: absolute;
    text-align: center;
}

.icon-left i{
    position: relative;
    right: 38px;
}

.icon-right {
    width: 100%;
    margin-bottom: 10px;
}
  
/* .icon {
    padding: 10px;
    min-width: 40px;
} */

#btnScrollToTop{
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #74a7fa;
    color: white;
    outline: none;
    border: none;
    cursor: pointer;
    z-index: 1000;
}

#btnScrollToTop:active{
    background-color: #387ceb;
}

/* Menu Hamburger */

nav{
    display: flex;
    justify-content: space-between;
}

nav .mainMenu{
    display: flex;
    list-style: none;
    /* margin-right: 2rem; */
}

nav .mainMenu li a{
    display: inline-block;
    padding: 15px;
    text-decoration: none;
    color: white;
    font-size: 1.3rem;
    margin-top: 2rem;
}

nav .mainMenu li a:hover{
    color: #74a7fa;
    transition-duration: 0.2s;
}

nav .openMenu{
    font-size: 2rem;
    margin: 20px;
    display: none;
    cursor: pointer;
}

nav .mainMenu .closeMenu{
    font-size: 2rem;
    display: none;
    cursor: pointer;
}

nav .closeMenu{
    margin-right: 0.6rem;
}

nav .mainMenu{
    margin-top: 0.5rem;
}

nav .logo{
    margin: 3px;
    cursor: pointer;
    margin-left: 1rem;
}

.container{
    position: relative;
    min-height: 100vh;
}

.container .image-container{
    display: flex;
    justify-content: space-around;
}

.container .image-container .image{
    margin-top: 4rem;
    height: 500px;
    overflow: hidden;
    cursor: pointer;
}

.container .image-container .image img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: .2s linear;
}

.container .popup-image{
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.9);
    height: 100%;
    width: 100%;
    z-index: 100;
    display: none;
}

.container .popup-image span{
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 40px;
    font-weight: bolder;
    color: white;
    cursor: pointer;
    z-index: 100;
}

.container .popup-image img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 750px;
    object-fit: cover;
}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou inférieure à 1200px
------------------------------------*/

@media(max-width:1200px){

    nav .mainMenu{
        height: 100vh;
        position: fixed;
        top: 0;
        right: 0;
        left: 0;
        z-index: 10;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-color: black;
        transition: top 1s ease;
        display: none;
    }

    nav .mainMenu .closeMenu{
        display: block;
        position: absolute;
        top: 20px;
        right: 20px;
        color: white;
    }

    nav .openMenu{
        display: block;
        color: white;
    }

    .projets > h2{
        font-size: 1.8rem;
    }
}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou inférieure à 800px
------------------------------------*/

@media(max-width:800px) {

    h1{
        font-size: 1.9rem;
    }

    h3{
        font-size: 1.3rem;
    }

    video{
        max-width: 10%;
        height: auto;
    }

    h2{
        font-size: 1.6rem;
    }

    #btnScrollToTop{
        position: fixed;
        right: 10px;
        bottom: 10px;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        outline: none;
        border: none;
        cursor: pointer;
        visibility: hidden;
    }

    .container .image-container .image img{
        height: 40%;
    }

    .container .popup-image img{
        width: 80%;
    }

}

/*----------------------------------
    Largeur de la fenêtre d'affichage du navigateur égale ou supérieure à 320px
------------------------------------*/

@media(min-width:320px) {

    nav .logo a img{
        width: 25%;
    }

    video{
        max-width: 85%;
        margin-top: 4rem;
    }

    footer{
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: #111;
        height: auto;
        width: 100vw;
        padding-top: 40px;
        color: #fff;
    }

    .footer-projets {
        position: relative;
        top: 10rem;
      }

    .footer-content{
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .footer{
        list-style: none;
        display: flex;
        align-items: center;
        justify-content: center;
        /* margin-right: 2rem; */
    }
    
    .footer li{
        margin: 0 10px;
    }
    
    .footer a{
        text-decoration: none;
        color: #fff;
    }

    .footer a:hover{
        color: #74a7fa;
        transition: 0.2s;
    }

    .footer-content p{
        max-width: 500px;
        margin: 10px auto;
        line-height: 28px;
        font-size: 14px;
        color: #cacdd2;
    }
    
    footer p{
        text-align: center;
    }

    .projet-infos ul li{
        font-size: 0.9rem;
    }

    .projet-texte{
        font-size: 0.9rem;
    }

    /* #btnScrollToTop{
        position: fixed;
        right: 10px;
        bottom: 10px;
        width: 50px;
        height: 50px;
        border-radius: 50%;
        outline: none;
        border: none;
        cursor: pointer;
        visibility: hidden;
    } */

    /* .container .popup-image img{
        width: 90%;
    } */

}
